import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementUI from 'element-ui'
import locale from 'element-ui/lib/locale/lang/en'
import './assets/styles/element-variables.scss'
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/antd.css';


//topology 
//注册图标
import { registerIcons,registerSvgs } from "@/utils/topology/customgraph.js";
// import {encryption,decrypt} from "@/utils/rsautils.js";
registerIcons();
registerSvgs();
import {topologyDict} from "../package/index.js"
let topologyDicts=topologyDict;
Vue.prototype.topologyDict=Object.assign({},topologyDicts);
Vue.config.productionTip = false
Vue.use(Antd);
Vue.use(ElementUI, { locale })
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
